Skip to main content
GET
/
v2
/
admin
/
emergency-locations
/
List Emergency Locations
curl --request GET \
  --url https://api.voxo.co/v2/admin/emergency-locations/ \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": 123,
      "tenantId": 123,
      "name": "<string>",
      "address": {
        "loc": "<string>",
        "city": "<string>",
        "state": "<string>",
        "location": "<string>",
        "streetNum": "<string>",
        "postalCode": "<string>",
        "streetInfo": "<string>"
      },
      "addressId": "<string>",
      "geolocationId": "<string>"
    }
  ],
  "page": 123,
  "maxPage": 123,
  "totalRecords": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tenantId
string
required

Tenant ID

Pattern: ^[1-9]\d*$
query
string

Search locations by name

Maximum string length: 255
name
string

Filter by location name

Minimum string length: 1
sortBy
string

Sort column

Maximum string length: 50
sortDirection
enum<string>

Sort direction

Available options:
asc,
desc
paginated
integer
default:1

1 = paginated response, 0 = full list

Required range: 0 <= x <= 1
page
number

Page number

recordsPerPage
number

Records per page

Response

Paginated emergency locations

records
object[]
required
page
number
required
maxPage
number
required
totalRecords
number
required